Results 1 to 2 of 2
  1. #1
    Join Date
    Nov 2002
    Location
    Memphis, TN
    Posts
    1

    Unanswered: "This object requires a newer version of the Microsoft Jet database engine."

    I have created a database in Access 2000. Now, one of my tables is causing problems by giving me this error:

    "This object requires a newer version of the Microsoft Jet database engine."

    I have attempted to compact the database, but then I get the error:

    "Cannot find field 'Description'."

    I have also attempted to load the tables in to another database, but due to the problem with the table I get the first error again.

    Any ideas on how to solve this problem or what causes it??

    Thank you!!!

  2. #2
    Join Date
    Nov 2002
    Location
    Ohio
    Posts
    90
    The application referring to the "new" table is referring to an older version of the Jet Database Engine.

    If you're using Visual Basic, you can add the newest "Microsoft Access X Object Library" to the project references and it should clear up. Be sure this is shown above any ADO/DAO references in the project.

    If the application generating the error is another package, you may be able to resolve the problem by reinstalling the package or Re-registering it.

    Good Luck
    Bruce Baasch

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •